ncurses_has_colors
ncurses_has_il
Ncurses Functions
PHP Manual

# ncurses_has_ic

Check for insert- and delete-capabilities

### Description

bool ncurses_has_ic ( void )
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

Checks whether the terminal has insert and delete capabilities.

### Return Values

Returns `TRUE` if the terminal has insert/delete-capabilities, `FALSE` otherwise.

### See Also

- ncurses_has_il